Bug 1273611 - [BLOCKED] Consume fix for "Multipath is not correctly identifying iscsi devices, and misconfiguring them" for Fedora 21
[BLOCKED] Consume fix for "Multipath is not correctly identifying iscsi devic...
Status: CLOSED WONTFIX
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.16.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.1
: 4.17.14
Assigned To: Tal Nisan
Aharon Canan
storage
:
Depends On: 1261141
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 15:14 EDT by Nir Soffer
Modified: 2016-03-10 10:24 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1256081
Environment:
Last Closed: 2015-12-02 12:04:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Nir Soffer 2015-10-20 15:14:42 EDT
+++ This bug was initially created as a clone of Bug #1256081 +++

+++ This bug was initially created as a clone of Bug #1255173 +++

Description of problem:

Multipath did not identify iscsi devices, so their session recovery_tmo
was not configured correctly. This cause too slow failover when path is
having trouble.

This issue was fixed in device-mapper-multipath-0.4.9-82.el7.
Vdsm should require this version when it is available.

--- Additional comment from Nir Soffer on 2015-08-23 17:07:42 EDT ---

We hope to get a fix for Fedora 22 and 21.

--- Additional comment from Nir Soffer on 2015-10-16 19:43:16 EDT ---

The fix is available in update-testing repo. We need to get someone to
test this fix.

--- Additional comment from Red Hat Bugzilla Rules Engine on 2015-10-19 06:53:59 EDT ---

Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

--- Additional comment from Nir Soffer on 2015-10-20 15:13:51 EDT ---

Package for Fedora 21 is still missing, will open a separate bug for it
since we must consume the Fedora 22 package now.
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-20 15:29:35 EDT
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 2 Nir Soffer 2015-10-20 15:33:30 EDT
(In reply to Red Hat Bugzilla Rules Engine from comment #1)
> This bug is not marked for z-stream, yet the milestone is for a z-stream
> version, therefore the milestone has been reset.
> Please set the correct milestone or add the z-stream flag.

Yaniv, can you set the correct milestone? This bug cannot be targeted to 
3.6.0 since the package is not available.
Comment 3 Yaniv Lavi 2015-10-29 08:48:18 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 4 Allon Mureinik 2015-12-02 12:04:03 EST
The underlying fedora bug 1261141 was CLOSED WONTFIX as F21 is EOL.
Closing this one for the same reason.

Note You need to log in before you can comment on or make changes to this bug.